#include <bits/stdc++.h>
#include <stdio.h>

using namespace std;

int main ()
{
    char c1, c2;
    int a1, a2;
    cin>>c1>>c2;
    cin>>a1>>a2;
    if (a1-a2 == 0)
    {
        for(int i = 0; i < a1; i++)
        {
            cout<<a1<<a2;
        }
    }
    else if (a1-a2 == 1)  
    {
        cout<<a1;
        for(int i = 0; i < a2; i++)
        {
            cout<<a2<<a1;
        }
    }
    else if (a2-a1 != 1) 
    {
        cout<<a2;
        for(int i = 0; i < a1; i++)
        {
            cout<<a1<<a2;
        }
    }
    else
    {
        cout<<"nemoguce";
    }


    return 0;
}